{
    // See https://go.microsoft.com/fwlink/?LinkId=733558 for the documentation
    // about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "RN: Logcat Debug Android Emulator",
            "type": "shell",
            "command": "adb -e logcat *:S ReactNative:V ReactNativeJS:V",
            "problemMatcher": []
        }, {
            "label": "RN: Logcat Debug Android Device",
            "type": "shell",
            "command": "adb -d logcat *:S ReactNative:V ReactNativeJS:V",
            "problemMatcher": []
        }, {
            "label": "RN: Port Reverse Emulator",
            "type": "shell",
            "command": "adb -e reverse tcp:8081 tcp:8081 && adb reverse tcp:7007 tcp:7007",
            "problemMatcher": []
        }, {
            "label": "RN: Port Reverse Device",
            "type": "shell",
            "command": "adb -d reverse tcp:8081 tcp:8081",
            "problemMatcher": []
        }, {
            "label": "Run emulator",
            "type": "shell",
            "command": "C: && cd C:\\Android\\Sdk\\tools && emulator -avd Pixel_2_API_26",
            "problemMatcher": []
        }
    ]
}